Name:		octaviz
Version:	0.4.7
Release:	1%{?dist}
Summary:	3D visualization system for Octave
Group:		Applications/Engineering
License:	GPLv2
URL:		http://octaviz.sourceforge.net
Source0:	http://ufpr.dl.sourceforge.net/sourceforge/octaviz/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	vtk octave-devel cmake vtk-devel
Requires:	vtk octave

%description
Octaviz is a visualization system for Octave.  It is a wrapper that
makes all VTK classes accessible from within Octave using the same
object-oriented syntax as in C++ or Python. Octaviz also provides
high-level functions for 2D and 3D visualization. Using those
functions, most common visualization tasks (3D surface plots, contour
plots, meshes etc) can be accomplished without any knowledge about
VTK.


%prep
%setup -q -n %{name}


%build
%cmake .
make VERBOSE=1 %{?_smp_mflags}



%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%check
ctest

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_datadir}/octave/3.0.3/site/m/octaviz
%{_libdir}/octave-3.0.3/liboctaviz.so
%{_libexecdir}/octave/3.0.3/site/oct/i386-redhat-linux-gnu/%{name}/*.oct

%doc README TODO COPYING



%changelog
* Fri Jun 13 2008 Henrique "LonelySpooky" Junior <lspooky@fedoraproject.org> - 0.4.7-1
- initial package

